Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Data Structures | Public Types | Public Member Functions | Data Fields
proofs::Quad< Field > Class Template Reference

## Data Structures
struct | corner

## Public Types
using | index_t = size_t

## Public Member Functions
| DEFINE_STRONG_INT_TYPE (quad_corner_t, uint32_t)
bool | operator== (const Quad &y) const
| Quad (index_t n)
| Quad (const Quad &y)=delete
| Quad (const Quad &&y)=delete
Quad | operator= (const Quad &y)=delete
std::unique_ptr< Quad > | clone () const
void | bind_h (const Elt &r, size_t hand, const Field &F)
void | bind_g (size_t logv, const Elt *G0, const Elt *G1, const Elt &alpha, const Elt &beta, const Field &F)
Elt | bind_gh_all (size_t logv, const Elt G0[], const Elt G1[], const Elt &alpha, const Elt &beta, size_t logw, const Elt H0[], const Elt H1[], const Field &F) const
Elt | scalar ()
void | canonicalize (const Field &F)

## Data Fields
index_t | n_
std::vector< corner > | c_

The documentation for this class was generated from the following file:

- lib/sumcheck/quad.h